<!DOCTYPE html>
<html>
<head>

<script src="../js/jquery-3.4.1.min.js"></script>
<script src="../js/jspdf.min.js"></script>


<script>
//const { jsPDF } = windows.jspdf;
var doc = new jspdf();
var specialElementHandlers = {
	'#editor': function(element,renderer){
		return true;
	}
};

$('#cmd').click(function(){
alert('test');
	doc.fromHTML($('#content').html(), 15, 15, {
		'width': 170,
			'elementHandlers': specialElementHandlers
		});
		doc.save('sample-file.pdf');
		});
</script>

<script>
    function demoFromHTML() {					
        var pdf = new jsPDF('p', 'pt', 'letter');		
        // source can be HTML-formatted string, or a reference
        // to an actual DOM element from which the text will be scraped.
        source = $('#content')[0];				
        // we support special element handlers. Register them with jQuery-style 
        // ID selector for either ID or node name. ("#iAmID", "div", "span" etc.)
        // There is no support for any other type of selectors 
        // (class, of compound) at this time.
        specialElementHandlers = {
            // element with id of "bypass" - jQuery style selector
            '#bypassme': function (element, renderer) {
                // true = "handled elsewhere, bypass text extraction"
                return true
            }
        };
        margins = {
            top: 80,
            bottom: 60,
            left: 40,
            width: 522
        };
        // all coords and widths are in jsPDF instance's declared units
        // 'inches' in this case
        pdf.fromHTML(				
            source, // HTML string or DOM elem ref.
            margins.left, // x coord
            margins.top, { // y coord
                'width': margins.width, // max width of content on PDF
                'elementHandlers': specialElementHandlers
            },
			
            function (dispose) {
                // dispose: object with X, Y of the last line add to the PDF 
                //          this allow the insertion of new lines after html				
                pdf.save('Test.pdf');
            }, margins
        );
    }
</script>

</head>
<body>
<div id="content">hello world
<div>
<img src="../../pages/images/logo.png" class="img-responsive col-xs-12" width="125" height="125" style="float:right">
</div>
	
</div>
<div id="editor"></div>
<button id="cmd" onclick="demoFromHTML()">generate PDF</button>
</body>
</html>